
From: Brian King <brking@us.ibm.com>


Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 include/linux/pci.h |    3 +++
 1 files changed, 3 insertions(+)

diff -puN include/linux/pci.h~pci-block-config-access-during-bist-fix-43 include/linux/pci.h
--- devel/include/linux/pci.h~pci-block-config-access-during-bist-fix-43	2005-09-08 13:12:13.000000000 -0700
+++ devel-akpm/include/linux/pci.h	2005-09-08 13:12:13.000000000 -0700
@@ -487,6 +487,9 @@ extern void pci_disable_msix(struct pci_
 extern void msi_remove_pci_irq_vectors(struct pci_dev *dev);
 #endif
 
+extern void pci_block_user_cfg_access(struct pci_dev *dev);
+extern void pci_unblock_user_cfg_access(struct pci_dev *dev);
+
 /*
  * PCI domain support.  Sometimes called PCI segment (eg by ACPI),
  * a PCI domain is defined to be a set of PCI busses which share
_
